# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%global debug_package %{nil}


Name:    libayatana-indicator
Version: 0.9.1
Release: 1.ndias%{?dist}
Summary:  Ayatana Indicators Shared Library 

License: LGPLv3
URL:     https://github.com/AyatanaIndicators/libayatana-indicator
Source0: https://github.com/AyatanaIndicators/libayatana-indicator/archive/refs/tags/%{name}-%{version}.tar.gz

BuildRequires: cmake, gcc, gcc-c++, ayatana-ido-devel, ayatana-ido

%description
The Ayatana Indicators project is the continuation of Application Indicators
and System Indicators, two technologies developed by Canonical Ltd. for the
Unity7 desktop.

Application Indicators are a GTK implementation of the StatusNotifierItem
Specification (SNI) that was originally submitted to freedesktop.org by KDE.

System Indicators are an extensions to the Application Indicators idea. System
Indicators allow for far more widgets to be displayed in the indicator's menu.

The Ayatana Indicators project is the new upstream for application indicators,
system indicators and associated projects with a focus on making Ayatana
Indicators a desktop agnostic technology.

On GNU/Linux, Ayatana Indicators are currently available for desktop
envinronments like MATE (used by default in Ubuntu MATE), XFCE (used by default
in Xubuntu, LXDE, and the Budgie Desktop).

The Lomiri Operating Environment (UI of the Ubuntu Touch OS, formerly known as
Unity8) uses Ayatana Indicators for rendering its notification area and the
UBports project is a core contributor to the Ayatana Indicators project.

For further info, please visit: https://ayatana-indicators.org

%package devel
Summary: Devel files of Ayatana Indicators Shared Library

%description devel
Devel files of Ayatana Indicators Shared Library

%prep
%setup -q

%build
%if 0%{?fedora} < 36
export CFLAGS="${CFLAGS} -fPIE -fPIC"
%endif
export CXXFLAGS="${CXXFLAGS} -fPIE -PIC"
export LDFLAGS="${LDFLAGS} -pie"
mkdir build
cd build
cmake .. 
make %{?_smp_mflags}

%install
cd build
%make_install
strip --strip-debug --strip-unneeded $RPM_BUILD_ROOT/%{_libdir}/libayatana-indicator3.so.7.0.0
strip --strip-debug --strip-unneeded $RPM_BUILD_ROOT/%{_libexecdir}/libayatana-indicator/ayatana-indicator-loader3


%files devel

%{_includedir}/libayatana-indicator3-0.4/libayatana-indicator/indicator*.h
%{_libdir}/libayatana-indicator3.so
%{_libdir}/pkgconfig/ayatana-indicator3-0.4.pc


%files 
%doc AUTHORS NEWS NEWS.Canonical
%license COPYING

%{_libdir}/libayatana-indicator3.so.7
%{_libdir}/libayatana-indicator3.so.7.0.0
%{_libexecdir}/libayatana-indicator/ayatana-indicator-loader3
%{_datadir}/libayatana-indicator/80indicator-debugging



%changelog
* Thu May 19 2022 Nuno Dias <Nuno.Dias@gmail.com> - 0.9.1-1.ndias
- Version 0.9.1

